struct IMG {
    int nx;
    int ny;
    double *x;
    double *y;
    double *flux;
    double *sigma;
};

struct FIMG {
    int nx;
    int ny;
    double *x;
    double *y;
    float *flux;
    float *sigma;
};

struct MODPAR {
    char model[20]; //Model name
    double *a; //Model parameters
    double *e_a; //Model errors parameters
    double *p_a; // Min of variation
    double *p_a2; // Max of vatiation
    int *ia; //Fit(1) or not Fit(0)
    int *fixa; // Fix a with the value of model included here: default -1
    int na; //Number of parameters
//    int singular;
};



struct PSF {
    double *x; //X
    double *y; //Y
    double *flux; //Flux(x,y)
    int npts; //Number of points
    int nx;
    int ny;
    double **temp_model; //Array of images where we store the temporal result of the convolutions!!!
    double *x_model;
    double *y_model;
    int model_nx;
    int model_ny;
    int flag;
};


struct BACKGROUND {
    char name[80]; //Model name
    int *id; //identifier
    float *wave; //wavelength
    float *flux; //flux intensity
    int n; //Number of values
};



